#! /bin/bash
#---------------------------------------------------------------------------
# /usr/local/teamspeak3/ts3server_starscript.sh
#
# Creation:     2010-08-05 christian
# Last Update:  $Id: ts3server_startscript.sh 38 2010-08-05 21:02:08Z root $
#
# Copyright (c) 2010 Christian Richter, richterch(at)gmx(dot)de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#--------------------------------------------------------------------------- 

basedir="/usr/local/teamspeak3"
progname="Teamspeak 3"
progbin="ts3server_linux_x86"
options="inifile=ts3server.ini dblogkeepdays=1"

export LD_LIBRARY_PATH="${basedir}:${LD_LIBRARY_PATH}"
case $1 in
    no)
        ${basedir}/${progbin} ${options} 1>> ${2} 2>&1 & sleep 3
        ;;
    yes)
        ${basedir}/${progbin} ${options} clear_database=1 1>> ${2} 2>&1 & sleep 3
        ;;
esac
        
exit 0

